* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
26.03.2018 12:55
86185    
ehya

[90] Yönetici

Online Durumu

3267 ileti
Teknik Ressam
Ankara

Benim yazdığım lispin altına ismini yazıp sahiplenen Hafzullah YILDIRIM kimdir?

26.03.2018 13:58
86186    
Travaci

[70] Editör

Online Durumu

2173 ileti
Teknik Ressam
Konstantinopol

ehya


Abi sen yanlış anladın, bu versiyon 2016 ama : )

26.03.2018 14:14
86187    
ehya

[90] Yönetici

Online Durumu

3267 ileti
Teknik Ressam
Ankara

Ben zaten hep bu yanlış anlamalardan kaybediyorum
Şahsı hatırladım. Sitesinde bu lispi yayınlamıştı. O zaman uyarıda bulunmuştum. Şimdi tekrar baktım hala silmemiş.
Artık gereken bir şekilde uyarımı burdan da yapayım.

Hafzullah YILDIRIM adlı şahıs kendi yazmadığı lisplere adını yazarak sahtekarlık yapmakta ve bu konuda kendi reklamını yapmaktadır.

28.03.2018 05:35
86192    
mimarimetraj

[2] Girişimci

Online Durumu

4 ileti

Tanımam kendisini.
yalnız yukarıdaki mesajda yazdığım Lisp için yardımcı olabilecek misiniz??? konu saptı

Alıntı
ehya :
Benim yazdığım lispin altına ismini yazıp sahiplenen Hafzullah YILDIRIM kimdir?

28.03.2018 06:37
86193    
Travaci

[70] Editör

Online Durumu

2173 ileti
Teknik Ressam
Konstantinopol

Alıntı
mimarimetraj

İsteğin Buradaki gibi birşey olabilirmi ?

Herzaman sitede tam istediğinizi bulamayabilirsiniz, elimizden geldiğince zaman zaman kod paylaşıyoruz, genele değilde kişiye hitap eden programlar ücret karşılığı yazılır.

07.06.2018 12:03
86385    
oezcan

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Seçtiğimiz kapalı Polyline'ın merkezinde nokta oluşturan şöyle bir lisp var,

(defun c:CnTr (/ vLo x y z m n)
(vl-load-com) (princ "\nMerkezi bulunacak LwPolyline objesi seçiniz: ")
(setq vLo (vlax-ename->vla-object
(ssname (ssget ":s" (list (cons 0 "LwPoLyLine"))) 0))
x 0 y 0 z (vlax-get-property vLo 'Elevation)
pLs (vlax-safearray->list
(vlax-variant-value
(vlax-get-property vLo 'Coordinates)))
m (length pLs) n (/ m 2))
(while (not (minusp (setq m (- m 2))))
(setq x (+ x (nth m pLs)) y (+ y (nth (1+ m) pLs))))
(entmake (list (cons 0 "Point") (cons 10 (list (/ x n) (/ y n) z)))))


Sorunum bunu toplu olarak uygulayamamak.Yüzlerce polyline var çizimimde her birinin merkezine nokta koymak istyorum.Buna uygun bir değişiklik yapmanız mümkün olur mu?

(Yukarıdaki lisp'i cizimokulundan bulmustum ancak sahibini hatırlamıyorum)

Teşekkürler

07.06.2018 23:01
86386    
alumina

[70] Editör

Online Durumu

670 ileti
Insaat Muhendisi
Istanbul

Alıntı
oezcan :


Kod:

(defun c:pt (/ dc ms ns m n) (vl-load-com)
  (if (setq dc (vla-get-activedocument (vlax-get-acad-object))
        ms (vla-get-modelspace dc) ns (ssget
          '((0 . "lwpolyline") (70 . 1))))
    (progn (vla-startundomark dc)
      (repeat (setq m (sslength ns))
        (vlax-invoke ms 'addregion (list (vlax-ename->vla-object
          (ssname ns (setq m (1- m))))))
        (vla-addpoint ms (vlax-3d-point (vlax-get (setq n
          (vlax-ename->vla-object (entlast))) 'Centroid)))
        (vla-delete n)) (vla-endundomark dc)
    )
  ) (prin1)
)

08.06.2018 07:12
86387    
oezcan

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Alıntı
alumina :
Alıntı
oezcan :


Kod:

(defun c:pt (/ dc ms ns m n) (vl-load-com)
  (if (setq dc (vla-get-activedocument (vlax-get-acad-object))
        ms (vla-get-modelspace dc) ns (ssget
          '((0 . "lwpolyline") (70 . 1))))
    (progn (vla-startundomark dc)
      (repeat (setq m (sslength ns))
        (vlax-invoke ms 'addregion (list (vlax-ename->vla-object
          (ssname ns (setq m (1- m))))))
        (vla-addpoint ms (vlax-3d-point (vlax-get (setq n
          (vlax-ename->vla-object (entlast))) 'Centroid)))
        (vla-delete n)) (vla-endundomark dc)
    )
  ) (prin1)
)




Cevabınız için teşekkür ederim öncelikle.Malesef seçim yapamıyorum.Çizimleri daha iyi anlatabilmek adına şöyle bir görsel var.Şekillerin hepsi polyline, 3D modunda.

21.06.2018 13:26
86415    
murtaza61

[2] Girişimci

Online Durumu

1 ileti

Selamlar,
Zahmet olmazsa şöyle bir lisp isteğim olacak. Normalde Acadda toplama lispi var fakat çalıştığım proje feet ve inch olduğu için doğal olarak bu lisp çalışmıyor. Bunu nasıl yapabilirim? Mesela şöyle iki rakamım var bunları toplayıp bu şekilde yazdırmak istiyorum.
29'-10 3/8" + 1'-5" = 31'-3 3/8"
Bunu normalde QUICKCAL komutuyla yapıyorum fakat çok zaman alıyor. Lisp olursa daha güzel olacak.
Şimdiden teşekkürler.

11.07.2018 10:52
86459    
mustafaozbal

[2] Girişimci

Online Durumu

1 ileti

Merhabalar;

Boya Uygulama işi yapmaktayız. Yeni inşaat teknolojisinden mezun oldum. Malum üniversitede öğretilenler çok yalın bir proje fakat gerçekte 100 layerli bir proje.
2
Sizden müsaitseniz isteğim; Duvarlar üzerine line ile çizgi çizip onu excele aktarmak bunu youtube ''https://youtu.be/IwrbvpOMDl4'' bu arkadaş gibi istediğim

yapabilirseniz ne ala ve çok teşekkür ederim.

Ayrıca çok kalabalık projeler de ölçüyü kolaylaştırmam için projede ne yapmam gerekiyor. Tefris yoğunluğu vb gibi

Şimdiden tekrar çok teşekkür ederim.

12.07.2018 05:13
86460    
leonixs

[3] Kıdemli Girişimci

Online Durumu

33 ileti
topograf
ankara

Herkese kolay gelsin.Multiple point atarken Z değerini , - ve + toleransı birer kere sorduktan sonra verdiğim değere göre Z değerini tolerans ların içinde random olarak belirleyen bir lispe ihtiyacım var yardımcı olabilirmisiniz?

30.07.2018 13:50
86515    
mehmedhan

[2] Girişimci

Online Durumu

1 ileti

Arkadaşlar merhaba,

Bir alanın, mekan ismi alanı ve çevresini excele atan veya dosya içerisinde tablo oluşruran bir lisp arıyorum.

İyi günler.

18.08.2018 20:54
86574    
umutdogan62

[2] Girişimci

Online Durumu

4 ileti

Merhabalar kolay gelsin herkese

Benim istediğim lisp alan lispi elimde bir çok alan lispi var ama istediğim şeye uyarlayamadım beceremedim

sizden istediğim ;

ekranda üstü üste bulunan yol kesitlerimin yarma dolgu ve sıyırma alanlarını yazdırmak istiyorum. Kesit çizgileri line'dır.
bendeki alan lispinde 2 çizgi arasındaki boşluğa tıklayınca otomatik bouandary yapıyor ve direk alanı yazıyor.
örneğin: 10.253 gibi

benim istediğim bu alanı yazmadan önce bana Yarma/Dolgu/Sıyırma diye sorup baş harflerini yazdığımda alanı yazması ve sonuna m2 eklemesi
örneğin:

Yarma: 10.253 m2
Dolgu: 8.253 m2
Sıyırma: 4.125 m2 gibi olması.

Kullandığım alan lispi;

(defun c:qq ()
(setq os(getvar "osmode"))
(command "osmode" 0)

(setq g(getpoint "\nALANI gosteriniz"))

(command "-boundary" g "")
(setq g1(ssget "l"))
;(setq g1(getpoint "\nSINIRI isaretleyiniz"))
(command "area" "o" g1)
(command "osmode" os)

(setq a1(getvar "area"))
(setq a2(rtos a1 2 3))

(setq bir(car g))
(setq ik(cadr g))
(setq iki(- ik 5))

(setq uc(list bir iki))

(command "text" uc "1.0" "0" a2"")
(command "erase" g1 "")
)

19.08.2018 10:50
86576    
alumina

[70] Editör

Online Durumu

670 ileti
Insaat Muhendisi
Istanbul

Alıntı
umutdogan62 :

Kod:

(defun c:kz (/ dc pt tp ns) (vl-load-com)
  (if (setq dc (vla-get-activedocument (vlax-get-acad-object))
        pt (getpoint "\Alani gosteriniz:"))
    (progn (initget "y d s")
      (if (setq tp (getkword "\nDolgu tipi [Yarma/Dolgu/Siyirma]:"))
        (progn (vla-startundomark dc)
          (vl-cmdf "._boundary" pt "")
          (entmake (list '(0 . "text") (cons 1 (strcat (setq tp
            (cond ((= tp "y") "Yarma") ((= tp "d") "Dolgu")
              ((= tp "s") "Siyirma"))) ": " (rtos (vla-get-Area
                (setq ns (vlax-ename->vla-object (entlast))))
                  2 3) " m²")) (cons 8 tp) (cons 10 pt) (cons 11 pt)
                    (cons 40 (getvar 'textsize)) '(71 . 0) '(72 . 1)
                      '(73 . 2))) (vla-delete ns) (vla-endundomark dc)
        )
      )
    )
  ) (prin1)
)

19.08.2018 19:49
86577    
umutdogan62

[2] Girişimci

Online Durumu

4 ileti

Alıntı
alumina :
Alıntı
umutdogan62 :

@alumina çok teşekkür ederim. Emeğine Sağlık...

alumina (19.08.2018 20:20 GMT)

23.10.2018 09:23
86736    
ferhat3858

[2] Girişimci

Online Durumu

1 ileti
ar-ge uzmanı
kayseri

merhaba arkadaslar modler panel mobilya ile ilgili işimizi kolaylastıracak lisler varmısır acaba

23.10.2018 10:22
86737    
alumina

[70] Editör

Online Durumu

670 ileti
Insaat Muhendisi
Istanbul

Alıntı
ferhat3858 :

Genel kullanima hitap eden basit kodlarin haricindeki kodlar ucreti karsiliginda yazilir.

31.10.2018 11:46
86764    
sadikozer

[2] Girişimci

Online Durumu

12 ileti

Selamlar çizimde sadece color 12'yi kilitleyip geri kalan tüm layerlerin kilitlerini açıcak bir lisp var mı

31.10.2018 14:21
86765    
alumina

[70] Editör

Online Durumu

670 ileti
Insaat Muhendisi
Istanbul

Alıntı
sadikozer :

Kod:

(defun c:lck (/ dc) (vl-load-com)
  (setq dc (vla-get-ActiveDocument
    (vlax-get-acad-object)))
  (vla-StartUndomark dc)
  (vlax-for m (vla-get-Layers dc)
    (vla-put-Lock m (if (= (vla-get-Color m) 12)
      :vlax-true :vlax-false))) (vla-EndUndomark dc)
  (prin1)
)

31.10.2018 14:29
86767    
sadikozer

[2] Girişimci

Online Durumu

12 ileti

Alıntı
alumina :
Alıntı
sadikozer :

Kod:

(defun c:lck (/ dc) (vl-load-com)
  (setq dc (vla-get-ActiveDocument
    (vlax-get-acad-object)))
  (vla-StartUndomark dc)
  (vlax-for m (vla-get-Layers dc)
    (vla-put-Lock m (if (= (vla-get-Color m) 12)
      :vlax-true :vlax-false))) (vla-EndUndomark dc)
  (prin1)
)




teşekkürler ama bu lisp sadece tüm kilitleri açıyor,benim istediğim ise
tüm kilitleri açıp sadece color 12 renklerini kilitlesin

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 85 < [89] Sonraki Sayfa
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 2747 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim